import request from '@/utils/request'

// 查询国家、省、市创新平台名单列表
export function listPlatform(query) {
  return request({
    url: '/basicData/xcrInnovationPlatform/findByPage',
    method: 'get',
    params: query
  })
}

// 查询国家、省、市创新平台名单详细
export function getPlatform(xhCodeId) {
  return request({
    url: '/basicData/xcrInnovationPlatform/' + xhCodeId,
    method: 'get'
  })
}

// 新增国家、省、市创新平台名单
export function addPlatform(data) {
  return request({
    url: '/basicData/xcrInnovationPlatform',
    method: 'post',
    data: data
  })
}

// 修改国家、省、市创新平台名单
export function updatePlatform(data) {
  return request({
    url: '/basicData/xcrInnovationPlatform',
    method: 'put',
    data: data
  })
}

// 删除国家、省、市创新平台名单
export function delPlatform(xhCodeId) {
  return request({
    url: '/basicData/xcrInnovationPlatform/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delPlatformBatch(ids) {
  return request.post('/basicData/xcrInnovationPlatform/delete',ids)
}
